# Visualization
TKMeshVS
MeshVS

# MeshVS_SensitiveFace Class Reference

This class provides custom sensitive face, which will be selected if it center is in rectangle.
.

`#include <MeshVS_SensitiveFace.hxx>`

Inheritance diagram for MeshVS_SensitiveFace:

[legend]

## Public Member Functions

Standard_EXPORT | MeshVS_SensitiveFace (const Handle(SelectBasics_EntityOwner)&theOwner, const TColgp_Array1OfPnt &thePoints, const Select3D_TypeOfSensitivity theSensType=Select3D_TOS_INTERIOR)
virtual Standard_EXPORT void | Project (const Select3D_Projector &aProjector)
| projection of the sensitive primitive in order to get 2D boxes for the Sort Algorithm
virtual Standard_EXPORT Standard_Boolean | Matches (const Standard_Real XMin, const Standard_Real YMin, const Standard_Real XMax, const Standard_Real YMax, const Standard_Real aTol)

Matches the box defined by the coordinates Xmin,
Ymin, Xmax, Ymax with the entity found at that point
within the tolerance aTol.
Xmin, YMin define the minimum point in the lower left
hand corner of the box, and XMax, YMax define the
maximum point in the upper right hand corner of the box.
You must redefine this function for every inheriting entity.
You will have to call this framework inside the redefined function.
.

virtual Standard_EXPORT Standard_Boolean | Matches (const TColgp_Array1OfPnt2d &Polyline, const Bnd_Box2d &aBox, const Standard_Real aTol)
| prevents from hiding virtual methods...
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Attributes

gp_Pnt | myCentre
gp_Pnt2d | myProjCentre

## Constructor & Destructor Documentation

Standard_EXPORT MeshVS_SensitiveFace::MeshVS_SensitiveFace | ( | const Handle(SelectBasics_EntityOwner)& | theOwner,
|  | const TColgp_Array1OfPnt & | thePoints,
|  | const Select3D_TypeOfSensitivity | theSensType = `Select3D_TOS_INTERIOR`
| ) |

## Member Function Documentation

Standard_EXPORT const MeshVS_SensitiveFace::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Select3D_SensitiveFace.

virtual Standard_EXPORT Standard_Boolean MeshVS_SensitiveFace::Matches | ( | const TColgp_Array1OfPnt2d & | Polyline,
|  | const Bnd_Box2d & | aBox,
|  | const Standard_Real | aTol
| ) | `[virtual]`

| Reimplemented from Select3D_SensitiveFace.

virtual Standard_EXPORT Standard_Boolean MeshVS_SensitiveFace::Matches | ( | const Standard_Real | XMin,
|  | const Standard_Real | YMin,
|  | const Standard_Real | XMax,
|  | const Standard_Real | YMax,
|  | const Standard_Real | aTol
| ) | `[virtual]`

| Reimplemented from Select3D_SensitiveFace.

virtual Standard_EXPORT void MeshVS_SensitiveFace::Project | ( | const Select3D_Projector & | aProjector | ) | `[virtual]`

| Reimplemented from Select3D_SensitivePoly.

## Field Documentation

gp_Pnt MeshVS_SensitiveFace::myCentre `[protected]`

gp_Pnt2d MeshVS_SensitiveFace::myProjCentre `[protected]`

The documentation for this class was generated from the following file:

- MeshVS_SensitiveFace.hxx